#!/usr/bin/perl

#┌─────────────────────────────────
#│  Kyorisoku v1.00 (2012/06/03)
#│  Copyright (c) CGI Shop
#│ info@cgishop.net
#│ http://cgishop.net/
#└─────────────────────────────────
$ver = 'Kyorisoku v1.00';
#┌─────────────────────────────────
#│ [注意事項]
#│ 1. このスクリプトはフリーソフトです。このスクリプトを使用した
#│    いかなる損害に対しても作者は一切の責任を負いません。
#│ 2. 設置に関する質問、サポートは行いません。
#│    直接メールによる質問は一切お受けしておりません。
#│ 3. ご理解ご協力のほど、よろしくお願いいたします。
#└─────────────────────────────────
#
# 【ファイル構成例】
#
#  public_html (ホームディレクトリ)
#      |
#      +-- kyori / kyorsoku.cgi   [755]ソフト本体
#                  set.cgi        [644]初期設定ファイル
#		           kyorisoku.html [644]アクセス用ファイル

# 外部ファイル取込#
###################
use utf8;
use Unicode::Japanese;
require './set.cgi';

#=== 受信処理=== ==================================================


if ($ENV{'REQUEST_METHOD'} eq "POST") { read(STDIN, $buffer, $ENV{'CONTENT_LENGTH'}); }
else { $buffer = $ENV{'QUERY_STRING'}; }

#=== デコード処理 =================================================

if ($buffer eq "") { &error; }
@pairs = split(/&/,$buffer);

foreach $pair (@pairs) {

	($name, $value1) = split(/=/, $pair);
	$value1 =~ tr/+/ /;
	$value1 =~ s/%([a-fA-F0-9][a-fA-F0-9])/pack("C", hex($1))/eg;
	#全角を半角に置き換え
	$value = Unicode::Japanese->new($value1)->z2h->get;
	$FORM{$name} = $value;
}

#




		

# サーバ出力

print <<HEAD;
Content-type: text/html

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN">
<META http-equiv="Content-Type" content="text/html; charset=utf8">
<html>
<head><title>距離側</title></head>
<body>
<h1>距離側</h1>


HEAD



print <<sent;

<TABLE border="1">
  <TBODY>
    <TR>
      <TD align="center">出発距離</TD>
      <TD align="center">到着距離</TD>
      <TD align="center">走行距離</TD>
    </TR>

sent




for($i=1;$i<=8;$i++){

$sa=$FORM{tyaku.$i}-$FORM{hatu.$i};

print <<"set";
    <TR>
      <TD align="center">$FORM{hatu.$i}</TD>
      <TD align="center">$FORM{tyaku.$i}</TD>
      <TD align="center">$sa</TD>
    </TR>

set

$goukei +=$sa;
}






print <<"set2";
   <TR>
      <TD></TD>
      <TD align="center"><B>合計</B></TD>
      <TD><B>$goukei</B></TD>
    </TR>
  </TBODY>
</TABLE>
<P><BR>


set2


futter();


__END__
